Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Ingmar Vanhassel (ingmar)" <ingmar@g.o>
Subject: gentoo-x86 commit in kde-base/marble: marble-4.0.1.ebuild ChangeLog
Date: Mon, 18 Feb 2008 16:28:23 +0000
ingmar      08/02/18 16:28:23

  Modified:             marble-4.0.1.ebuild ChangeLog
  Log:
  Addded a kde USE-flag to compile without KDE.
  (Portage version: 2.1.4.4)

Revision  Changes    Path
1.2                  kde-base/marble/marble-4.0.1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/kde-base/marble/marble-4.0.1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/kde-base/marble/marble-4.0.1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/kde-base/marble/marble-4.0.1.ebuild?r1=1.1&r2=1.2

Index: marble-4.0.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/kde-base/marble/marble-4.0.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- marble-4.0.1.ebuild	7 Feb 2008 00:10:58 -0000	1.1
+++ marble-4.0.1.ebuild	18 Feb 2008 16:28:22 -0000	1.2
@@ -1,10 +1,11 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/kde-base/marble/marble-4.0.1.ebuild,v 1.1 2008/02/07 00:10:58 philantrop Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/marble/marble-4.0.1.ebuild,v 1.2 2008/02/18 16:28:22 ingmar Exp $
 
 EAPI="1"
-
+NEED_KDE="none"
 KMNAME=kdeedu
+SLOT="kde-4" # Goes in the ebuild because of NEED_KDE=none
 inherit kde4-meta
 
 DESCRIPTION="KDE: generic geographical map widget"
@@ -13,11 +14,13 @@
 
 # FIXME: undefined reference when building tests. RESTRICTed for now.
 RESTRICT="test"
-# FIXME: marble can install without kdelibs. there should be USE=kde for this..
 
-COMMONDEPEND="gps? ( sci-geosciences/gpsd )"
-DEPEND="${DEPEND} ${COMMONDEPEND}"
-RDEPEND="${RDEPEND} ${COMMONDEPEND}"
+COMMONDEPEND="
+	gps? ( sci-geosciences/gpsd )
+	kde? ( >=kde-base/kdelibs-${PV}:${SLOT}
+		>=kde-base/kdepimlibs-${PV}:${SLOT} )"
+DEPEND="${COMMONDEPEND}"
+RDEPEND="${COMMONDEPEND}"
 
 src_compile() {
 	epatch "${FILESDIR}/${PN}-4.0.0-fix-tests.patch"
@@ -32,6 +35,10 @@
 			marble/Findlibgps.cmake || die "sed to disable gpsd failed."
 	fi
 
+	if ! use kde; then
+		mycmakeargs="${mycmakeargs} -DQTONLY:BOOL=ON"
+	fi
+
 	kde4-meta_src_compile
 }
 



1.5                  kde-base/marble/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/kde-base/marble/ChangeLog?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/kde-base/marble/ChangeLog?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/kde-base/marble/ChangeLog?r1=1.4&r2=1.5

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/kde-base/marble/ChangeLog,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- ChangeLog	17 Feb 2008 02:33:09 -0000	1.4
+++ ChangeLog	18 Feb 2008 16:28:22 -0000	1.5
@@ -1,6 +1,9 @@
 # ChangeLog for kde-base/marble
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/kde-base/marble/ChangeLog,v 1.4 2008/02/17 02:33:09 ingmar Exp $
+# $Header: /var/cvsroot/gentoo-x86/kde-base/marble/ChangeLog,v 1.5 2008/02/18 16:28:22 ingmar Exp $
+
+  18 Feb 2008; Ingmar Vanhassel <ingmar@g.o> marble-4.0.1.ebuild:
+  Addded a kde USE-flag to compile without KDE.
 
   16 Feb 2008; Ingmar Vanhassel <ingmar@g.o> -marble-4.0.0.ebuild:
   Spring cleaning



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in games-board/ggz-gtk-client: ChangeLog ggz-gtk-client-0.0.14.1.ebuild
Next by thread:
gentoo-x86 commit in kde-base/marble: marble-4.0.1.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in games-board/ggz-gtk-client: ChangeLog ggz-gtk-client-0.0.14.1.ebuild
Next by date:
gentoo-x86 commit in x11-drivers/nvidia-drivers: nvidia-drivers-169.09-r1.ebuild ChangeLog


Updated Mar 17, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.